"""create table for fruits

Revision ID: 9f2b6a4e5c28
Revises: 2d7c4f9e8a1c
Create Date: 2023-05-24 12:00:00

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func
import uuid

# revision identifiers, used by Alembic.
revision = '9f2b6a4e5c28'
down_revision = '2d7c4f9e8a1c'
branch_labels = None
depends_on = None

def upgrade():
    table_name = "fruits"

    op.create_table(
        table_name,
        sa.Column('id', sa.String(36), primary_key=True, default=lambda: str(uuid.uuid4())),
        sa.Column('name', sa.String(), nullable=False, unique=True),
        sa.Column('color', sa.String(), nullable=False),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now()),
        sa.Index('ix_fruits_name', 'name')
    )

def downgrade():
    table_name = "fruits"
    op.drop_table(table_name)