from fastapi import APIRouter, HTTPException, status
from schemas.fruit import FruitSchema
from helpers.fruit_helpers import get_fruit_by_id, delete_fruit
from sqlalchemy.orm import Session
from fastapi import Depends
from core.database import get_db

router = APIRouter()

@router.delete("/fruits/{fruit_id}", status_code=status.HTTP_200_OK, response_model=FruitSchema)
async def delete_fruit_endpoint(fruit_id: str, db: Session = Depends(get_db)):
    fruit = get_fruit_by_id(db, fruit_id)
    if not fruit:
        raise HTTPException(status_code=status.HTTP_404_NOT_FOUND, detail="Fruit not found")
    delete_fruit(db, fruit_id)
    return fruit