from fastapi import APIRouter, Depends, status
from sqlalchemy.orm import Session
from core.database import get_db
from schemas.fruit import FruitSchema, FruitCreate
from helpers.fruit_helpers import create_fruit

router = APIRouter()

@router.post("/fruits", status_code=status.HTTP_201_CREATED, response_model=FruitSchema)
async def create_new_fruit(
    fruit_data: FruitCreate,
    db: Session = Depends(get_db)
):
    new_fruit = create_fruit(db=db, fruit_data=fruit_data)
    return new_fruit